<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds.ng.wire (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../org/firebirdsql/gds/ng/wire/package-summary.html" target="classFrame">org.firebirdsql.gds.ng.wire</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">AsynchronousChannelListener</span></a></li>
<li><a href="DeferredAction.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">DeferredAction</span></a></li>
<li><a href="FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">FbWireAsynchronousChannel</span></a></li>
<li><a href="FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">FbWireAttachment</span></a></li>
<li><a href="FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">FbWireBlob</span></a></li>
<li><a href="FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">FbWireDatabase</span></a></li>
<li><a href="FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">FbWireOperations</span></a></li>
<li><a href="FbWireOperations.ProcessAttachCallback.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">FbWireOperations.ProcessAttachCallback</span></a></li>
<li><a href="FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">FbWireService</span></a></li>
<li><a href="FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">FbWireStatement</span></a></li>
<li><a href="FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">FbWireTransaction</span></a></li>
<li><a href="ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">ProtocolDescriptor</span></a></li>
<li><a href="Response.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">Response</span></a></li>
<li><a href="XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire" target="classFrame"><span class="interfaceName">XdrStreamAccess</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="AbstractFbWireBlob.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">AbstractFbWireBlob</a></li>
<li><a href="AbstractFbWireDatabase.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">AbstractFbWireDatabase</a></li>
<li><a href="AbstractFbWireInputBlob.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">AbstractFbWireInputBlob</a></li>
<li><a href="AbstractFbWireOutputBlob.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">AbstractFbWireOutputBlob</a></li>
<li><a href="AbstractFbWireService.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">AbstractFbWireService</a></li>
<li><a href="AbstractFbWireStatement.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">AbstractFbWireStatement</a></li>
<li><a href="AbstractProtocolDescriptor.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">AbstractProtocolDescriptor</a></li>
<li><a href="AbstractWireOperations.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">AbstractWireOperations</a></li>
<li><a href="AsynchronousChannelListener.Event.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">AsynchronousChannelListener.Event</a></li>
<li><a href="AsynchronousChannelListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">AsynchronousChannelListenerDispatcher</a></li>
<li><a href="AsynchronousProcessor.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">AsynchronousProcessor</a></li>
<li><a href="DefaultBlrCalculator.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">DefaultBlrCalculator</a></li>
<li><a href="FbWireAttachment.AcceptPacket.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">FbWireAttachment.AcceptPacket</a></li>
<li><a href="FbWireDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">FbWireDatabaseFactory</a></li>
<li><a href="FetchResponse.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">FetchResponse</a></li>
<li><a href="GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">GenericResponse</a></li>
<li><a href="ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">ProtocolCollection</a></li>
<li><a href="SqlResponse.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">SqlResponse</a></li>
<li><a href="WireConnection.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">WireConnection</a></li>
<li><a href="WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">WireDatabaseConnection</a></li>
<li><a href="WireEventHandle.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">WireEventHandle</a></li>
<li><a href="WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire" target="classFrame">WireServiceConnection</a></li>
</ul>
</div>
</body>
</html>
